#
# spec file for package thunar-plugin-shares
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define thunar_version 1.2.0
%define plugin_name thunar-shares-plugin

Name:           thunar-plugin-shares
Version:        0.3.1
Release:        bp153.1.19
URL:            https://docs.xfce.org/xfce/thunar/custom-actions
Source0:        http://archive.xfce.org/src/thunar-plugins/%{plugin_name}/0.3/%{plugin_name}-%{version}.tar.bz2
Summary:        Thunar Plugin for Sharing Files Using Samba
License:        GPL-2.0-or-later
Group:          System/GUI/XFCE
BuildRequires:  intltool
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:  pkgconfig(thunarx-3)
Requires:       samba
Requires:       thunar >= %{thunar_version}
Recommends:     %{name}-lang = %{version}
Provides:       %{plugin_name} = %{version}
Obsoletes:      %{plugin_name} < %{version}

%description
The Thunar Shares Plugin allows for quickly sharing a directory using Samba
from within Thunar without requiring root access.

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}

%build
%configure --disable-static
%make_build

%install
%make_install

rm -rf %{buildroot}%{_libdir}/thunarx-3/thunar-shares-plugin.la

# remove unsupported locales
rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{plugin_name} %{?no_lang_C}

%clean
rm -rf "%{buildroot}"

%files
%{_libdir}/thunarx-3/thunar-shares-plugin.so

%files lang -f %{plugin_name}.lang

%changelog
* Mon Apr  6 2020 Marcel Kuehlhorn <tux93@opensuse.org>
- Update to version 0.3.1
  * Remove unused THUNARX_TYPE_PREFERENCES_PROVIDER, since it may cause
    crashes (iface->get_menu_items not implemented)
  * Improved spacing and layout (bxo#14657)
  * Translation Updates
* Fri Jun 15 2018 seife+obs@b1-systems.com
- update to version 0.3.0:
  * GTK3 Port
  * Thunarx-3 Port (Thunar >=1.7.0 required)
  * Translation updates
- removed obsolete patches:
  * thunar-plugin-shares-0.2.0-port-to-thunarx-2.patch
  * thunar-plugin-shares-0.2.0-fix-missing-include.patch
* Tue Apr 17 2012 gber@opensuse.org
- use upstream tarball instead of recompressed source
* Tue Mar 27 2012 gber@opensuse.org
- added source URL
* Thu Mar 22 2012 gber@opensuse.org
- corrected URL
- require samba, it does not make much sense without it
- updated build dependencies
* Thu Mar 10 2011 gber@opensuse.org
- new package (split off from thunar-plugins)
